QGIS Application - Bug report #17350

In distance matrix a point is its own neighbour

2017-10-28 04:29 PM - Pawel Stankiewicz

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/QGIS

Affected QGIS version:3.1(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 25247

Description

If target point layer is the same as input point layer QGIS treats an input point as its own neighbour, but a neighbour is nearby not inside.
It affects distance matrix option ,,Use only the nearest (k) target points" and gives false results in ,,summary distance matrix (mean, std.
dev., min, max)" min is always 0. A solution: don't treat points with the same ID and layer as a neighbour.

Associated revisions

Revision 7fa9d412 - 2018-04-09 04:48 AM - Nyall Dawson

[processing] Fix Distance Matrix alg considers distances to

same points

Add more unit tests

Fixes #17350

Revision 08c4eeaf - 2018-04-09 06:37 AM - Nyall Dawson

[processing] Fix Distance Matrix alg considers distances to

same points

Add more unit tests

Fixes #17350

(cherry-picked from 7fa9d412)

History

#1 - 2017-11-22 11:11 PM - Pawel Stankiewicz

2.18.14 is also affected, but | can't change it in the description.

#2 - 2017-11-23 07:08 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.13 to 2.18.14
- Pull Request or Patch supplied changed from Yes to No

#3 - 2018-04-04 07:53 PM - Pawel Stankiewicz
3.0.1 is also affected. Could someone set ,,Affected version" to master?

#4 - 2018-04-04 08:05 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.14 to 3.1(master)

#5 - 2018-04-06 07:36 AM - Nyall Dawson

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/6756

#6 - 2018-04-09 04:48 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|7fa9d4120a01effa68e3a6fd83cbbf5686784a97.

2024-03-13 22


https://github.com/qgis/QGIS/pull/6756

